# Retrieve shipment tracking data in a Searates-compatible format

> Container Tracking API, GET /shipment-format/searates: Returns the same tracking data as GET /shipment, formatted to be compatible with the Searates "Tracking by any number" response.

`GET /shipment-format/searates` on the Container Tracking API. Base URL: `https://api.sinay.ai/container-tracking/api/v2`.

Returns the same tracking data as **GET /shipment**, formatted to be compatible with the Searates "Tracking by any number" response.

Enables a field-by-field comparison with Searates formatted data.

By default the payload follows the Searates format. Set **safecubeFields=true** to additionally expose SafeCube-specific fields (currently metadata.warnings); those fields are omitted from the response when null.

## Query parameters

::api-parameters{location="query"}
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `shipmentNumber` | string | Yes | Bill of Lading Number, Booking number or Container Tracking Number. Example: `ZZZZ0000000`. |
| `sealine` | string | No | Sealine 4 letters scac code. Find the code corresponding to your sealine using the GET /sealines endpoint. This parameter is strongly recommended to improve response time and avoid wrong sealine detection. Example: `ONEY`. |
| `shipmentType` | string | No | Shipment type. CT for container, BL for Booking and BL for Bill of Lading. Example: `CT`. |
| `route` | boolean | No | Set this to true if you wish to receive the route segments or AIS data. Using this option will increase the response time. |
| `ais` | boolean | No | Set this to true if you wish to receive AIS data - will only work if route is also set to true. Using this option will increase the response time. |
| `safecubeFields` | boolean | No | Set to true to include SafeCube-specific fields in addition to the Searates-compatible format. These fields have no equivalent in the native Searates response (currently metadata.warnings) and are omitted when null. |
::

## Responses

::api-response
---
status: "200"
description: OK
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `status` | string | No | Request status (success on completion, error otherwise). One of: `success`, `error`. |
| `message` | string | No | Request status description (see Searates request statuses). One of: `OK`, `SEALINE_HASNT_PROVIDE_INFO`, `NO_CONTAINERS`, `NO_EVENTS`, `WRONG_PARAMETERS`, `WRONG_NUMBER`, `WRONG_SEALINE`, `WRONG_TYPE`, `SEALINE_NO_RESPONSE`, `SEALINE_NOT_SUPPORTED`, `SEALINE_TEMPORARY_DISABLED`, `SEALINE_UNDER_MAINTENANCE`, `AUTO_CANT_DETECT_SEALINE`, `AUTO_CANT_DETECT_TYPE`, `AUTO_CANT_FIND_INFO`, `SEALINE_CANCELED_SHIPMENT`, `UNEXPECTED_ERROR`. |
| `data` | object | No | Data on request. |
| `data.metadata` | object | No | Additional data on request. |
| `data.metadata.type` | string | No | One of: `CT`, `BL`, `BK`. |
| `data.metadata.number` | string | No | Shipment number. |
| `data.metadata.sealine` | string, nullable | No | Standard Carrier Alpha Code (SCAC). |
| `data.metadata.sealine_name` | string, nullable | No | Carrier name. |
| `data.metadata.status` | string | No | Shipping status. One of: `PLANNED`, `IN_TRANSIT`, `DELIVERED`, `UNKNOWN`, `CANCELLED`. Default: `UNKNOWN`. |
| `data.metadata.updated_at` | string, nullable | No | The date the data was received from the carrier (UTC), format 'yyyy-MM-dd HH:mm:ss'. |
| `data.metadata.api_calls` | object | No | Data on the number of api calls (Searates account metrics, not populated by SafeCube). |
| `data.metadata.api_calls.total` | integer (int32), nullable | No | — |
| `data.metadata.api_calls.used` | integer (int32), nullable | No | — |
| `data.metadata.api_calls.remaining` | integer (int32), nullable | No | — |
| `data.metadata.unique_shipments` | object | No | Data on the number of unique shipments (Searates account metrics, not populated by SafeCube). |
| `data.metadata.unique_shipments.total` | integer (int32), nullable | No | — |
| `data.metadata.unique_shipments.used` | integer (int32), nullable | No | — |
| `data.metadata.unique_shipments.remaining` | integer (int32), nullable | No | — |
| `data.metadata.warnings` | array of string, nullable | No | SafeCube-specific field, not part of the native Searates format. Data-quality warnings computed by SafeCube. Present only when safecubeFields=true; omitted from the response when null. |
| `data.locations` | array of object, nullable | No | — |
| `data.locations[].id` | integer (int32) | No | Unique identifier referenced by events and route. |
| `data.locations[].name` | string | No | — |
| `data.locations[].state` | string, nullable | No | — |
| `data.locations[].country` | string, nullable | No | — |
| `data.locations[].country_code` | string, nullable | No | — |
| `data.locations[].locode` | string, nullable | No | — |
| `data.locations[].lat` | number (float), nullable | No | — |
| `data.locations[].lng` | number (float), nullable | No | — |
| `data.locations[].timezone` | string, nullable | No | — |
| `data.route` | object | No | Information on the route. |
| `data.route.prepol` | object | No | — |
| `data.route.prepol.location` | integer (int32), nullable | No | Unique identifier (id) from the locations array. |
| `data.route.prepol.date` | string, nullable | No | — |
| `data.route.prepol.actual` | boolean, nullable | No | — |
| `data.route.pol` | object | No | — |
| `data.route.pol.location` | integer (int32), nullable | No | Unique identifier (id) from the locations array. |
| `data.route.pol.date` | string, nullable | No | — |
| `data.route.pol.actual` | boolean, nullable | No | — |
| `data.route.pod` | object | No | — |
| `data.route.pod.location` | integer (int32), nullable | No | Unique identifier (id) from the locations array. |
| `data.route.pod.date` | string, nullable | No | — |
| `data.route.pod.actual` | boolean, nullable | No | — |
| `data.route.pod.predictive_eta` | string, nullable | No | If the carrier did not provide an arrival date, SafeCube may calculate it. |
| `data.route.postpod` | object | No | — |
| `data.route.postpod.location` | integer (int32), nullable | No | Unique identifier (id) from the locations array. |
| `data.route.postpod.date` | string, nullable | No | — |
| `data.route.postpod.actual` | boolean, nullable | No | — |
| `data.vessels` | array of object, nullable | No | — |
| `data.vessels[].id` | integer (int32) | No | Unique identifier referenced by events. |
| `data.vessels[].name` | string | No | — |
| `data.vessels[].imo` | integer (int32), nullable | No | — |
| `data.vessels[].call_sign` | string, nullable | No | — |
| `data.vessels[].mmsi` | integer (int32), nullable | No | — |
| `data.vessels[].flag` | string, nullable | No | — |
| `data.containers` | array of object, nullable | No | — |
| `data.containers[].number` | string | No | — |
| `data.containers[].iso_code` | string, nullable | No | — |
| `data.containers[].size_type` | string, nullable | No | — |
| `data.containers[].status` | string | No | Shipping status. One of: `PLANNED`, `IN_TRANSIT`, `DELIVERED`, `UNKNOWN`, `CANCELLED`. Default: `UNKNOWN`. |
| `data.containers[].events` | array of object, nullable | No | — |
| `data.containers[].events[].order_id` | integer (int32) | No | The sequence number of the event. |
| `data.containers[].events[].location` | integer (int32), nullable | No | Unique identifier (id) from the locations array. |
| `data.containers[].events[].facility` | integer (int32), nullable | No | Unique identifier (id) from the facilities array. |
| `data.containers[].events[].description` | string | No | — |
| `data.containers[].events[].event_type` | string, nullable | No | One of: `SHIPMENT`, `TRANSPORT`, `EQUIPMENT`. |
| `data.containers[].events[].event_code` | string, nullable | No | One of: `ARRI`, `DEPA`, `LOAD`, `DISC`, `GTIN`, `GTOT`, `STUF`, `STRP`, `PICK`, `AVPU`, `DROP`, `AVDO`, `INSP`, `RSEA`, `RMVD`, `CUSS`, `CUSI`, `CUSR`, `CROS`, `RECE`, `DRFT`, `PENA`, `PENU`, `PENC`, `CONF`, `REJE`, `APPR`, `ISSU`, `SURR`, `SUBM`, `VOID`, `REQS`, `CMPL`, `HOLD`, `RELS`, `CANC`. |
| `data.containers[].events[].status` | string | No | One of: `CEP`, `CPS`, `CGI`, `CLL`, `VDL`, `VAT`, `CDT`, `TSD`, `CLT`, `VDT`, `VAD`, `CDD`, `CGO`, `CDC`, `CER`, `LTS`, `BTS`, `UNK`. Default: `UNK`. |
| `data.containers[].events[].date` | string | No | Event date, format 'yyyy-MM-dd HH:mm:ss'. |
| `data.containers[].events[].actual` | boolean, nullable | No | — |
| `data.containers[].events[].is_additional_event` | boolean | No | True if the event was calculated by SafeCube rather than provided by the carrier. |
| `data.containers[].events[].type` | string | No | sea for sea-related events, land for land-related events. One of: `sea`, `land`. |
| `data.containers[].events[].transport_type` | string, nullable | No | One of: `VESSEL`, `BARGE`, `FEEDER`, `TRUCK`, `RAIL`, `AIR`. |
| `data.containers[].events[].vessel` | integer (int32), nullable | No | Unique identifier (id) from the vessels array. |
| `data.containers[].events[].voyage` | string, nullable | No | — |
| `data.facilities` | array of object, nullable | No | — |
| `data.facilities[].id` | integer (int32) | No | Unique identifier referenced by events. |
| `data.facilities[].name` | string | No | — |
| `data.facilities[].country_code` | string, nullable | No | — |
| `data.facilities[].locode` | string, nullable | No | — |
| `data.facilities[].bic_code` | string, nullable | No | — |
| `data.facilities[].smdg_code` | string, nullable | No | — |
| `data.facilities[].lat` | number (float), nullable | No | — |
| `data.facilities[].lng` | number (float), nullable | No | — |
| `data.route_data` | object, nullable | No | — |
| `data.route_data.route` | array of object, nullable | No | Array of route segments. |
| `data.route_data.route[].path` | array of array of number (float) | No | Array of route coordinates, each item being a [latitude, longitude] pair. |
| `data.route_data.route[].type` | string | No | One of: `SEA`, `LAND`. |
| `data.route_data.pin` | array of number (float), nullable | No | Current container position [latitude, longitude]. |
| `data.route_data.ais` | object | No | — |
| `data.route_data.ais.status` | string | No | One of: `OK`, `NOT_ON_BOARD`, `NO_AIS_DATA`. |
| `data.route_data.ais.data` | object, nullable | No | — |
| `data.route_data.ais.data.last_event` | object | No | The latest event provided by the shipping line. |
| `data.route_data.ais.data.last_event.description` | string | No | — |
| `data.route_data.ais.data.last_event.date` | string | No | — |
| `data.route_data.ais.data.last_event.voyage` | string | No | — |
| `data.route_data.ais.data.discharge_port` | object | No | — |
| `data.route_data.ais.data.discharge_port.name` | string, nullable | No | — |
| `data.route_data.ais.data.discharge_port.country_code` | string, nullable | No | — |
| `data.route_data.ais.data.discharge_port.code` | string, nullable | No | — |
| `data.route_data.ais.data.discharge_port.date` | string, nullable | No | — |
| `data.route_data.ais.data.discharge_port.date_label` | string, nullable | No | One of: `ETA`, `ATA`. |
| `data.route_data.ais.data.vessel` | object | No | — |
| `data.route_data.ais.data.vessel.name` | string | No | — |
| `data.route_data.ais.data.vessel.imo` | integer (int32), nullable | No | — |
| `data.route_data.ais.data.vessel.call_sign` | string, nullable | No | — |
| `data.route_data.ais.data.vessel.mmsi` | integer (int32), nullable | No | — |
| `data.route_data.ais.data.vessel.flag` | string, nullable | No | — |
| `data.route_data.ais.data.last_vessel_position` | object | No | AIS data of the vessel position. |
| `data.route_data.ais.data.last_vessel_position.lat` | number (float), nullable | No | — |
| `data.route_data.ais.data.last_vessel_position.lng` | number (float), nullable | No | — |
| `data.route_data.ais.data.last_vessel_position.updated_at` | string, nullable | No | — |
| `data.route_data.ais.data.departure_port` | object | No | — |
| `data.route_data.ais.data.departure_port.country_code` | string, nullable | No | — |
| `data.route_data.ais.data.departure_port.code` | string, nullable | No | — |
| `data.route_data.ais.data.departure_port.date` | string, nullable | No | — |
| `data.route_data.ais.data.departure_port.date_label` | string, nullable | No | One of: `ETD`, `ATD`. |
| `data.route_data.ais.data.arrival_port` | object | No | — |
| `data.route_data.ais.data.arrival_port.country_code` | string, nullable | No | — |
| `data.route_data.ais.data.arrival_port.code` | string, nullable | No | — |
| `data.route_data.ais.data.arrival_port.date` | string, nullable | No | — |
| `data.route_data.ais.data.arrival_port.date_label` | string, nullable | No | One of: `ETA`, `ATA`. |
| `data.route_data.ais.data.updated_at` | string, nullable | No | — |

::

::api-response
---
status: "400"
description: Bad request - the required API_KEY header is missing
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `errorCode` | integer (int32) | Yes | — |
| `message` | string | Yes | — |
| `details` | array of string | Yes | — |
| `time` | string (date-time) | Yes | — |

::

::api-response
---
status: "404"
description: Shipment not found
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `errorCode` | integer (int32) | Yes | — |
| `message` | string | Yes | — |
| `details` | array of string | Yes | — |
| `time` | string (date-time) | Yes | — |

::
